### Method

# SpiceClientGLib InputsChannel motion

since: 0.35

#### Declaration [src]

    void
    spice_inputs_channel_motion (
      SpiceInputsChannel* channel,
      gint dx,
      gint dy,
      gint button_state
    )

#### Description [src]

Change mouse position (used in SPICE_MOUSE_MODE_SERVER).

Available since: 0.35

#### Parameters

`dx`

  Type: `gint`

  Delta X mouse coordinates.

`dy`

  Type: `gint`

  Delta Y mouse coordinates.

`button_state`

  Type: `gint`

  SPICE_MOUSE_BUTTON_MASK flags.